# Class SequenceReference

java.lang.Object
org.snpeff.binseq.comparator.SequenceReference

public class SequenceReference extends Object
A reference to a sequence. It's composed by a sequence index and a start position (both are integres stored in a long)

Author:
  pcingola

## Constructor Summary

Constructors
Constructor
Description
`SequenceReference()`

## Method Summary

Modifier and Type
Method
Description
`static long`
`getReference(int sequenceIdx, int start)`
`static int`
`getSeqIdx(long ref)`
`static int`
`getStart(long ref)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SequenceReference

public SequenceReference()

## Method Details

### getReference

public static long getReference(int sequenceIdx, int start)

### getSeqIdx

public static int getSeqIdx(long ref)

### getStart

public static int getStart(long ref)